Create Job
Create a new platform job.
Path parameters
workspace
Request
This endpoint expects an object.
spec
platform_spec
Specification for a platform job, containing steps and secrets.
source
name
Job name. Name must start with a lowercase letter, be 2-63 characters, and use lowercase letters, digits, hyphens, and dots (no consecutive hyphens, cannot end with a hyphen). At most 51 characters when output_location is not set. Auto-generated when omitted.
description
project
ownership
custom_fields
output_location
Response
Successful Response
id
attempt_id
name
workspace
Workspace identifier
source
platform_spec
Specification for a platform job, containing steps and secrets.
fileset
Fileset ID for storing job artifacts
status
Enumeration of possible job statuses.
This enum represents the various states a job can be in during its lifecycle,
from creation to a terminal state.
project
Project URN
description
spec
Job Spec
output_location
Caller-supplied artifact fileset; None when the fileset was auto-created
status_details
Details about the job status
error_details
created_at
updated_at
ownership
custom_fields
Custom Fields
Errors
422
Unprocessable Entity Error